<?php

    $path ="../xml/conexiones.xml";

    $xml = new DOMDocument("1.0","UTF-8");

    if(!file_exists($path)){ 
         $xml->save($path); 
         $element=$xml->createElement('conexiones');
         $xml->appendChild($element);
         $xml->save($path); 
    }

    $xml->load('../xml/conexiones.xml');


    $nombre = $_POST['nombre_nuevo'];
    $tipo= $_POST['tipo_conexion_nueva'];
    $servidor= $_POST['servidor_nuevo'];
    $carpeta = $_POST['carpeta_nueva'];

    //validacion si existe o no el registro de conexion 
    $xpath = new DOMXPath($xml);

    foreach($xpath->query("/conexiones/conexion/nombre") as $nodo){

        $valor = $nodo->nodeValue;
        if($valor === $nombre){ 
            header("Location: ../../index.php?estatus=Existente");
            exit("Ya existe una conexión con ese nombre");
        }      
   }


    $conexionesTag = $xml->getElementsByTagName("conexiones")->item(0);

    $conexionTag= $xml->createElement("conexion");
      $nombre_conexion = $xml->createElement("nombre","$nombre");
      $tipo_conexion = $xml->createElement("tipo","$tipo");
      $servidor_conexion = $xml->createElement("servidor","$servidor");
      $carpeta_conexion = $xml->createElement("carpeta","$carpeta");
      
      $conexionTag->appendChild($nombre_conexion);
      $conexionTag->appendChild($tipo_conexion);
      $conexionTag->appendChild($servidor_conexion);
      $conexionTag->appendChild($carpeta_conexion);

     $conexionesTag->appendChild($conexionTag);
     $xml->save($path); 

     header("Location: ../../index.php?estatus=Agregado");

?>